Substy Developers
Scripts

Create creator subscription

Start a paid Substy subscription for a creator using an available plan ID and billing cycle, with a trial when supported.

POST/v1/agencies/{agencyId}/creators/{creatorId}/subscription-plans

Start a paid Substy subscription for a creator using an available plan ID and billing cycle, with a trial when supported.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
creatorId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/agencies/string/creators/string/subscription-plans" \  -H "Authorization: Bearer YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "planId": "string"  }'
{  "data": {    "message": "string",    "subscription": {      "creatorId": "string",      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "status": "ACTIVE",      "updatedAt": "2019-08-24T14:15:22Z",      "startDate": "2019-08-24T14:15:22Z",      "endDate": null,      "rate": null,      "planId": "string",      "billingCycle": "DAILY",      "walletId": null,      "subscriptionPrice": "string",      "nextBillingDate": null,      "lastBillingDate": null,      "consecutiveFailures": 0,      "maxAllowedFailures": 0,      "suspendedAt": null,      "isTrial": true    },    "plan": {      "id": "string",      "yearlyId": "string",      "name": "string",      "icon": null,      "description": null,      "monthlyPrice": 0,      "yearlyPrice": 0,      "rate": null,      "chatterNumber": null,      "chartMogulMonthlyPlanUuid": null,      "chartMogulYearlyPlanUuid": null,      "features": [        {          "title": "string",          "description": "string"        }      ]    },    "success": true,    "isFreeTrial": true,    "trialEndsAt": null,    "nextBillingDate": "2019-08-24T14:15:22Z",    "wallet": {      "id": "string",      "balance": 0    }  },  "meta": {    "requestId": "string",    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "status": "COMPLETED"  }}